package gus05.manager.gus.endorf.layer4.internals1;

import gus05.framework.features.Support;
import gus05.framework.tools.DefaultSupport;

import java.awt.event.ActionListener;
import java.util.Date;
import java.util.List;
import java.util.Timer;
import java.util.TimerTask;

public class AppTimer extends Timer implements Support {

    
    private DefaultSupport d = new DefaultSupport(); 
    
    public void addActionListener(ActionListener listener) {d.addActionListener(listener);}
    public void removeActionListener(ActionListener listener) {d.removeActionListener(listener);}
    public List listeners() {return d.listeners();}
    
    
    
    
    
    public void schedule(TimerTask task, Date time)
    {
        super.schedule(task,time);
        d.send(this,"schedule(TimerTask,Date)");
    }
    
    public void schedule(TimerTask task, Date firstTime, long period)
    {
        super.schedule(task,firstTime,period);
        d.send(this,"schedule(TimerTask,Date,long)");
    }
    
    public void schedule(TimerTask task, long delay)
    {
        super.schedule(task,delay);
        d.send(this,"schedule(TimerTask,long)");
    }
    
    public void schedule(TimerTask task, long delay, long period)
    {
        super.schedule(task,delay,period);
        d.send(this,"schedule(TimerTask,long,long)");
    }
    
    
    
    
    
    
}
