package gus05.manager.gus.endorf.layer3.loading;

import gus05.manager.gus.endorf.layer3.system1.System1;

import java.io.File;

public class Loader_root {

    
    public Loader_root()
    {
        File file = new File(System1.appArgs[0]);
        
        if(file.exists())
        {
            if(file.isDirectory())
                System1.rootDir = file;
            else
            {
                System1.propFile = file;
                System1.rootDir = file.getParentFile();
            }
        }
        
        if(System1.rootDir==null)
            System1.rootDir = new File(System.getProperty("user.dir"));
        
        if(System1.propFile==null)
        {
            File propFile = new File(System1.rootDir,System1.appName+".properties");
            if(propFile.exists() || System1.initOutside) System1.propFile = propFile;
        }   
        
        System1.validateRoot();
        
        System1.printDebug(this,"Loader_root()","init root dir = "+System1.rootDir);
        System1.printDebug(this,"Loader_root()","init properties file = "+System1.propFile);
    }
    

}
