package gus05.manager.gus.endorf.layer4.internals1;

import java.io.File;
import java.io.FileInputStream;
import java.util.Properties;

import gus05.framework.features.Register;
import gus05.manager.gus.endorf.layer4.system2.System2;

public class AppEntityLoader implements Register {


    public void register(String key, Object obj) throws Exception
    {
        String entityName = key;
        File dir = (File)obj;
        
        File jar = new File(dir,entityName+".jar");
        File propFile = new File(dir,"entity.properties");
        
        if(!propFile.exists()) throw new Exception("No prop file was found in directory "+dir.getName());
        if(!jar.exists()) throw new Exception("entity jar not found: "+jar.getAbsolutePath());
        
        Properties prop = new Properties();
        FileInputStream fis = new FileInputStream(propFile);
        prop.load(fis);
        fis.close();
        
        System2.entityManager.loadEntity_external(entityName, prop, jar);
    }

}
