package gus05.manager.gus.endorf.layer4.providers.file;

import java.io.File;

import gus05.manager.gus.endorf.layer1.Source;
import gus05.manager.gus.endorf.layer1.organs.ResourceProvider;
import gus05.manager.gus.endorf.layer4.system2.System2;


public class ResourceProvider_dir0 implements ResourceProvider {


    public Object provideResource(Source source, String key) throws Exception
    {
        File dir = findDir(source,key);
        
        if(dir.exists() && !dir.isDirectory())
        	throw new Exception("fileID "+key+" is not a directory: "+dir.getAbsolutePath());
        return dir;
    }

    
    
    
    private File findDir(Source source, String key)
    {
        if(key.equals("pool")) return System2.poolDir(source.toString());
        return System2.searchFile(key);
    }
}
